Provide a way to redirect output of fabric-tna build to dev null

Change-Id: Ib4b8787daef193e6c4af09fb0fa00338a0970438
diff --git a/Makefile b/Makefile
index 305bc77..76f66bf 100644
--- a/Makefile
+++ b/Makefile
@@ -70,6 +70,9 @@
 USE_ONOS_BAZEL_OUTPUT        ?=
 USE_LOCAL_SNAPSHOT_ARTIFACTS ?=
 KARAF_VERSION                := 4.2.14
+# We use proprietary tools such as Intel P4 Studio for which we are not allowed
+# to make the output public in CI jobs.
+export SHOW_SENSITIVE_OUTPUT ?= false
 
 # Trellis-Control related
 export TRELLIS_CONTROL_ROOT  := $(shell pwd)/trellis-control
diff --git a/app-build.sh b/app-build.sh
index 4fd9d48..f955fbb 100755
--- a/app-build.sh
+++ b/app-build.sh
@@ -177,7 +177,7 @@
 
 function fabric-tna-build {
 	# This workaround is temporary - typically we need to build only the pipeconf
-	cd "${FABRIC_TNA_ROOT}" || exit 1 && make "${FABRIC_TNA_TARGETS[@]}"
+	cd "${FABRIC_TNA_ROOT}" || exit 1 && make "${FABRIC_TNA_TARGETS[@]}" SHOW_SENSITIVE_OUTPUT="${SHOW_SENSITIVE_OUTPUT:-false}"
 	cd ../
 	build_app "${FABRIC_TNA_ROOT}"/target \
 	"${FABRIC_TNA_ROOT}"/ "fabric-tna" \